Loading...
Searching...
No Matches
pcl::recognition::BVH< UserData >::BoundedObject Class Reference

`#include <pcl/recognition/ransac_based/bvh.h>`

## Public Member Functions

| BoundedObject (const UserData &data)
virtual | ~BoundedObject ()=default
float * | getBounds ()
float * | getCentroid ()
const float * | getCentroid () const
UserData & | getData ()

## Static Public Member Functions

static bool | compareCentroidsXCoordinates (const BoundedObject *a, const BoundedObject *b)
| This method is for std::sort.

## Protected Attributes

float | bounds_ [6]
| These are the bounds of the object.
float | centroid_ [3]
| This is the centroid.
UserData | data_
| This is the user-defined data object.

## Detailed Description

template<class UserData>
class pcl::recognition::BVH< UserData >::BoundedObject

Definition at line 68 of file bvh.h.

## Constructor & Destructor Documentation

## BoundedObject()

template<class UserData>

pcl::recognition::BVH< UserData >::BoundedObject::BoundedObject | ( | const UserData & | data | ) |

inline

Definition at line 71 of file bvh.h.

References data_.

Referenced by compareCentroidsXCoordinates().

## ~BoundedObject()

template<class UserData>

virtual pcl::recognition::BVH< UserData >::BoundedObject::~BoundedObject | ( |  | ) |

virtual default

## Member Function Documentation

## compareCentroidsXCoordinates()

template<class UserData>

bool pcl::recognition::BVH< UserData >::BoundedObject::compareCentroidsXCoordinates | ( | const BoundedObject * | a,
|  | const BoundedObject * | b )

inline static

This method is for std::sort.

Definition at line 80 of file bvh.h.

References BoundedObject(), and getCentroid().

## getBounds()

template<class UserData>

float * pcl::recognition::BVH< UserData >::BoundedObject::getBounds | ( |  | ) |

inline

Definition at line 86 of file bvh.h.

References bounds_.

## getCentroid() [1/2]

template<class UserData>

float * pcl::recognition::BVH< UserData >::BoundedObject::getCentroid | ( |  | ) |

inline

Definition at line 92 of file bvh.h.

References centroid_.

Referenced by compareCentroidsXCoordinates().

## getCentroid() [2/2]

template<class UserData>

const float * pcl::recognition::BVH< UserData >::BoundedObject::getCentroid | ( |  | ) | const

inline

Definition at line 98 of file bvh.h.

References centroid_.

## getData()

template<class UserData>

UserData & pcl::recognition::BVH< UserData >::BoundedObject::getData | ( |  | ) |

inline

Definition at line 104 of file bvh.h.

References data_.

## Member Data Documentation

## bounds_

template<class UserData>

float pcl::recognition::BVH< UserData >::BoundedObject::bounds_[6]

protected

These are the bounds of the object.

Definition at line 111 of file bvh.h.

Referenced by getBounds().

## centroid_

template<class UserData>

float pcl::recognition::BVH< UserData >::BoundedObject::centroid_[3]

protected

This is the centroid.

Definition at line 113 of file bvh.h.

Referenced by getCentroid(), and getCentroid().

## data_

template<class UserData>

UserData pcl::recognition::BVH< UserData >::BoundedObject::data_

protected

This is the user-defined data object.

Definition at line 115 of file bvh.h.

Referenced by BoundedObject(), and getData().

The documentation for this class was generated from the following file:

- pcl/recognition/ransac_based/bvh.h